- name: Add Visual Studio Code repository
  become: yes
  deb822_repository:
    name: vscode
    types: deb
    uris: https://packages.microsoft.com/repos/code
    suites: stable
    components: main
    signed_by: https://packages.microsoft.com/keys/microsoft.asc
    state: present
    enabled: yes

- name: Install packages
  become: yes
  apt:
    state: latest
    update_cache: true
    install_recommends: false
    name:
      - code
      - pinentry-gnome3
